import javafx.animation.Transition;
import javafx.util.Duration;
import javafx.scene.transform.Rotate;

/**
 * Version of RotateTransition that targets a
 * Rotate transform rather than a Node.  This
 * allows one to set the "center" of the rotation.
 * 
 * This doesn't currently have the flexibility
 * of "RotateTransition" - it just does full
 * circle rotation with no reverse.
 * 
 * @author mike slattery
 * @version may 2018
 *
 */
public class OrbitTransition extends Transition {

	Rotate target;
	
	OrbitTransition(Duration cycle, Rotate r)
	{
		target = r;
		setCycleDuration(cycle);
	}
	
	@Override
	protected void interpolate(double frac) {
		int n = Math.round(360 * (float)frac);
		target.setAngle(n);
	}
}
